Help with install Ruby bundler

OK. New user here trying to install a diaspora pod. Running into a bit of difficulty.

I am at the step in the install docs called “Bundle” - apparently pretty close to the end of install process.

There are three steps as follows:
gem install bundler
script/configure_bundler
bin/bundle install --full-index

The first one - “gem install bundler” - appears to have worked just fine - 1 gem installed.
The second fails with the following error message.

listing starts

diaspora@abm1 ~/diaspora $ script/configure_bundler
Traceback (most recent call last):
3: from script/configure_bundler:7:in <main>' 2: from /home/diaspora/diaspora/config/bundler_helper.rb:9:in rails_env’
1: from /home/diaspora/diaspora/config/bundler_helper.rb:23:in parse_value_from_yaml_file' /home/diaspora/diaspora/config/bundler_helper.rb:23:in dig’: no implicit conversion of String into Integer (TypeError)

listing ends

Basic machine stats are:
diaspora@abm1 ~/diaspora $ uname -a
Linux abm1 4.15.0-118-generic #119-Ubuntu SMP Tue Sep 8 12:30:01 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

diaspora@abm1 ~/diaspora $ free
total used free shared buff/cache available
Mem: 1773236 778440 364628 158952 630168 680432
Swap: 2097148 354304 1742844

diaspora@abm1 ~/diaspora $ df -h .
Filesystem Size Used Avail Use% Mounted on
/dev/sda1 293G 9.5G 269G 4% /

Any advice would be welcome. I have no knowledge of Ruby.

Thanks in advance.

/art

What’s the output of git status? It seems you didn’t clone the master branch but another one. We’re switching the configuration from YAML to TOML with the next release, but the instructions are not updated for that (because it’s not released). So I wonder if something went wrong in that regard. In any case, your configuration seems invalid.